import {WeaLocaleProvider} from 'ecCom';

class Home extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            iframeStyle: {display: "none"}
        }
    }

    render() {
        return (
            <div style={{height:"100%"}}>
              <iframe id="hiddenPreLoaderSingle" name="hiddenPreLoaderSingle" style={this.state.iframeStyle} width="0" height="0" border="0" frameborder="0"></iframe>
              <WeaLocaleProvider ecId={`${this && this.props && this.props.ecId || ''}_WeaLocaleProvider@vexs0k`}>
                {this.props.children}
              </WeaLocaleProvider>
            </div>
        )
    }
}

export default Home
